

import java.awt.Component;
import java.awt.Dimension;
import java.awt.FlowLayout;
import java.awt.GridLayout;
import java.io.BufferedReader;
import java.io.InputStreamReader;
import java.util.Map;
import java.util.ResourceBundle;

import javax.swing.ButtonGroup;
import javax.swing.JLabel;
import javax.swing.JPanel;
import javax.swing.JRadioButton;
import javax.swing.JScrollPane;
import javax.swing.JTextPane;
import javax.swing.text.Document;

import org.netbeans.spi.wizard.WizardPage;


public class Licence extends WizardPage {
	
	private JRadioButton rbAccepte;
	
	public Licence(Map settings) {
		((FlowLayout)getLayout()).setAlignment(FlowLayout.LEFT);
		
		JTextPane texte = new JTextPane();
		Document doc = texte.getDocument();
		try {
			// Texte informatif
			add(new JLabel(((ResourceBundle)settings.get("messages")).getString("gui.licence.preambule")));
			
			// Licence
			BufferedReader br = new BufferedReader(new InputStreamReader(ClassLoader.getSystemResourceAsStream("gpl.txt")));
			String ligne;
			while ((ligne = br.readLine()) != null)
				doc.insertString(doc.getLength(), ligne+"\n", null);
			JScrollPane defilant = new JScrollPane(texte);
			defilant.setPreferredSize(new Dimension(500, 250));
			add(defilant);
			
			// Boutons d'acceptation de licence
			ButtonGroup groupe = new ButtonGroup();
			this.rbAccepte = new JRadioButton(((ResourceBundle)settings.get("messages")).getString("gui.licence.accepte"));
			JRadioButton rbAcceptePas = new JRadioButton(((ResourceBundle)settings.get("messages")).getString("gui.licence.accepte.pas"));
			rbAcceptePas.setSelected(true);
			groupe.add(rbAccepte);
			groupe.add(rbAcceptePas);
			JPanel boutons = new JPanel(new GridLayout(0, 1));
			boutons.add(rbAccepte);
			boutons.add(rbAcceptePas);
			add(boutons);
		} catch (Exception e) {
			System.out.println("Erreur page 3");
			e.printStackTrace();
			System.exit(-1);
		}
			
	}
	
	protected String validateContents (Component component, Object o) {
		if (this.rbAccepte.isSelected())
			return null;
		else
			return ((ResourceBundle)getWizardDataMap().get("messages")).getString("gui.licence.validation.erreur");
	}

}
