import java.awt.Component;
import java.awt.FlowLayout;
import java.awt.GridLayout;
import java.awt.event.ActionEvent;
import java.sql.Connection;
import java.sql.DriverManager;
import java.util.Map;
import java.util.Properties;
import java.util.ResourceBundle;

import javax.swing.JLabel;
import javax.swing.JPanel;
import javax.swing.JTextField;

import org.netbeans.spi.wizard.Wizard;
import org.netbeans.spi.wizard.WizardPage;
import org.netbeans.spi.wizard.WizardPanelNavResult;



public class MysqlParametres extends WizardPage {

	private JTextField txtSgbdAdmin;
	private JTextField txtSgbdAdminPassword;
	
	public MysqlParametres(Map settings) {
		((FlowLayout)getLayout()).setVgap(20);
		
		add(new JLabel(((ResourceBundle)settings.get("messages")).getString("gui.mysqlparams.preambule")));
		
		GridLayout glayout = new GridLayout(2, 1);
		glayout.setVgap(15);
		glayout.setHgap(5);
		
		JPanel etiquettes = new JPanel(glayout);
		JPanel saisies = new JPanel(glayout);
		JPanel params = new JPanel();
		
		etiquettes.add(new JLabel(((ResourceBundle)settings.get("messages")).getString("gui.mysqlparams.lbl.login")));
		etiquettes.add(new JLabel(((ResourceBundle)settings.get("messages")).getString("gui.mysqlparams.lbl.password")));
		
		this.txtSgbdAdmin = new JTextField(((ResourceBundle)settings.get("messages")).getString("osames.mysql.admin"));
		txtSgbdAdmin.setColumns(12);
		txtSgbdAdmin.setName("txtSgbdAdmin");
		this.txtSgbdAdminPassword = new JTextField();
		txtSgbdAdminPassword.setName("txtSgbdAdminPassword");
		txtSgbdAdminPassword.setColumns(12);
		saisies.add(txtSgbdAdmin);
		saisies.add(txtSgbdAdminPassword);
		
		params.add(etiquettes);
		params.add(saisies);
		add(params);
	}
	
	protected String validateContents (Component component, Object o) {
		if (this.txtSgbdAdmin.getText().length() == 0)
			return ((ResourceBundle)getWizardDataMap().get("messages")).getString("gui.mysqlparams.validation.erreur.login");
		else if (this.txtSgbdAdminPassword.getText().length() == 0)
			return ((ResourceBundle)getWizardDataMap().get("messages")).getString("gui.mysqlparams.validation.erreur.password");
		else
			return null;
	}

	public WizardPanelNavResult allowNext(String etape, Map settings, Wizard wizard) {
		String urlDb;
		String driver;
		Properties prop = (Properties)settings.get("prop");
		try {
			urlDb = prop.getProperty("jdbc.system.url");
			driver = prop.getProperty("jdbc.system.driver");
			Class.forName(driver);
			String admin = (String) settings.get("txtSgbdAdmin");
			String password = (String) settings.get("txtSgbdAdminPassword");
			Connection con = DriverManager.getConnection(urlDb, admin, password);
			con.close();
			return WizardPanelNavResult.PROCEED;
		} catch (Exception e) {
			e.printStackTrace();
			setProblem(((ResourceBundle)settings.get("messages")).getString("erreur.connexion"));
			return WizardPanelNavResult.REMAIN_ON_PAGE;
		}
	}
	
}
